SVProgressHUD在Xcode11以后的项目中无法运行

错误提示

运行SVProgressHUD.show()后直接崩溃,报下面的错误

2020-10-23 11:12:48.021999+0800 wealth[9884:155319] *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '-[wealth.AppDelegate window]: unrecognized selector sent to instance 0x6000007b8190'
*** First throw call stack:
(
    0   CoreFoundation                      0x00007fff2043a126 __exceptionPreprocess + 242
    1   libobjc.A.dylib                     0x00007fff20177f78 objc_exception_throw + 48
    2   CoreFoundation                      0x00007fff20448c6f +[NSObject(NSObject) instanceMethodSignatureForSelector:] + 0
    3   UIKitCore                           0x00007fff24695af8 -[UIResponder doesNotRecognizeSelector:] + 292
    4   CoreFoundation                      0x00007fff2043e3f0 ___forwarding___ + 859
    5   CoreFoundation                      0x00007fff20440698 _CF_forwarding_prep_0 + 120
    6   SVProgressHUD                       0x0000000100e51325 __27+[SVProgressHUD sharedView]_block_invoke + 117
    7   libdispatch.dylib                   0x00000001018b5a88 _dispatch_client_callout + 8
    8   libdispatch.dylib                   0x00000001018b6ff3 _dispatch_once_callout + 66
    9   SVProgressHUD                       0x0000000100e51288 +[SVProgressHUD sharedView] + 136
    10  SVProgressHUD                       0x0000000100e5267d +[SVProgressHUD showProgress:status:] + 61
    11  SVProgressHUD                       0x0000000100e52454 +[SVProgressHUD showWithStatus:] + 68
    12  SVProgressHUD                       0x0000000100e52365 +[SVProgressHUD show] + 37
Read more   2020/10/23 posted in  BUG记录

TestFlight 不可用,TestFlight 无法接入 App Store Connect。 请稍后重试。

问题描述

最近重新打开TestFlight,突然出现此BUG,一直提示连接失败。

Read more   2020/8/21 posted in  BUG记录

CDN: trunk Repo update failed - 2 error(s)

报错信息

在执行pod trunk push LJTool.podspec时,遇到如下错误

[!] CDN: trunk Repo update failed - 2 error(s):
CDN: trunk URL couldn't be downloaded: https://raw.githubusercontent.com/CocoaPods/Specs/master/Specs/5/e/f/DarkModeKit/0.3.0/DarkModeKit.podspec.json Response: Couldn't connect to server
CDN: trunk URL couldn't be downloaded: https://raw.githubusercontent.com/CocoaPods/Specs/master/Specs/5/e/f/DarkModeKit/0.4.0/DarkModeKit.podspec.json Response: Couldn't connect to server
Read more   2020/5/26 posted in  BUG记录

安装oh my zsh失败: 连接 raw.githubusercontent.com (raw.githubusercontent.com)|0.0.0.0|:443... 失败

问题描述

根据官网的安装指令

sh -c "$(wget -O- https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"

然后就会遇到如下错误

正在解析主机 raw.githubusercontent.com (raw.githubusercontent.com)... 0.0.0.0
正在连接 raw.githubusercontent.com (raw.githubusercontent.com)|0.0.0.0|:443... 失败:Connection refused。
Read more   2020/5/26 posted in  BUG记录 iOS开发

[CocoaPods报错] Failed to connect to GitHub to update the CocoaPods/Specs specs repo - Please check if you are offline, or that GitHub is down

问题描述

使用pod update或者pod repo update时,出现了如下错误

Failed to connect to GitHub to update the CocoaPods/Specs specs repo - Please check if you are offline, or that GitHub is down

一看以为是网络问题,经过检查后不是,原因是2018年2月后,弱密码标准被删除

Read more   2020/3/5 posted in  BUG记录

CocoaPods安装错误 RPC failed; curl 56 LibreSSL SSL_read: SSL_ERROR_SYSCALL, errno 60

问题描述

执行pod update --no-repo-update时提示如下错误

Installing SPAlert 2.1.1 (was 1.0.2)

[!] Error installing SPAlert
[!] /usr/bin/git clone https://github.com/IvanVorobei/SPAlert.git /var/folders/zx/ggz348td2gzck1vdqgh6bvfr0000gn/T/d20200228-27956-10msht5 --template= --single-branch --depth 1 --branch 2.1.1

Cloning into '/var/folders/zx/ggz348td2gzck1vdqgh6bvfr0000gn/T/d20200228-27956-10msht5'...
error: RPC failed; curl 56 LibreSSL SSL_read: SSL_ERROR_SYSCALL, errno 60
fatal: the remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed
Read more   2020/2/28 posted in  BUG记录

xcodebuild: error: SWIFT_VERSION '3.0' is unsupported, supported versions are: 4.0, 4.2, 5.0.

问题描述

最近重构了一下自己写的LJTool这个库,在使用CocoPods 发布时遇到这个问题,执行pod lib lint LJTool.podspec提示如下错误

- NOTE  | xcodebuild:  error: SWIFT_VERSION '3.0' is unsupported, supported versions are: 4.0, 4.2, 5.0. (in target 'LJTool' from project 'Pods')
Read more   2020/2/28 posted in  BUG记录

library not found for -libstdc++.6.0.9

原因

升级到XCode10后,由于去掉陈旧的libstdc++库替换为libc++,-libstdc++.6.0.9就被删除了

Read more   2020/2/12 posted in  BUG记录